# $Revision: 1.17 $, $Date: 2004/06/14 12:18:55 $
Summary:	Radiance 3D Photo-Realistic Renderer
Summary(pl):	Fotorealistyczny program do renderowania scen 3D
Name:		Radiance
Version:	3R5
Release:	1
Epoch:		1
License:	BSD-like (see included license.txt)
Group:		Applications/Graphics
Source0:	http://radsite.lbl.gov/radiance/dist/rad%{version}.tar.gz
# Source0-md5:	7b4eea2658704b08cbb775c071985bf0
Source1:	http://radsite.lbl.gov/radiance/misc/license.txt
URL:		http://radsite.lbl.gov/radiance/HOME.html
BuildRequires:	libtiff-devel
BuildRequires:	tk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Advenced 3D Photo-Realistic Renderer.

%description -l pl
Zaawansowany program do modelowania scen 3D.

%prep
%setup  -q -n ray

mv -f doc/man/man1/{rview.1,radview.1}

# patches from gentoo
# patch to not build libtiff that comes with Radiance
mv src/px/Rmakefile src/px/Rmakefile.orig
sed -e "s/\.\.\/lib\/libtiff\.a$//g" \
	src/px/Rmakefile.orig > src/px/Rmakefile

	# fix syntax error in standard.h
mv src/common/standard.h src/common/standard.h.orig
sed -e "s/error(et,em) else$/error(et,em); else/g" \
	src/common/standard.h.orig > src/common/standard.h

# fix incorrect use of errno.h
mv src/cal/ev.c src/cal/ev.c.orig
sed -e "s/extern int  errno;/#include <errno.h>/g" \
	src/cal/ev.c.orig > src/cal/ev.c

install -d src/lib bin/{bin/dev,lib}

%build
wd=`pwd`
for i in common meta cv gen ot rt px hd util cal; do
    %{__make} -C src/$i -f Rmakefile  install \
	OPT="%{rpmcflags} -DSPEED=200" CC="%{__cc}" \
	ARCH="IBMPC" \
	MACH="-DBSD -Dlinux -Dtracktime=0 -DDCL_ATOF -DBIGMEM -DNOSTEREO -L/usr/X11R6/%{_lib} -I/usr/include/X11" \
	MLIBDIR="%{_datadir}/ray/meta" \
	COMPAT="bmalloc.o erf.o getpagesize.o" \
	LIBDIR=$wd/bin/lib \
	INSTDIR=$wd/bin/bin \
	SPECIAL=""
done

mv bin/bin/r{,ad}view
mv bin/bin/dev/* bin/bin

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/ray,%{_mandir}/man{1,3,5}}
rm -rf bin/bin/dev

tar cf - -C lib . | tar xf - -C $RPM_BUILD_ROOT%{_datadir}/ray
tar cf - -C bin/lib . | tar xf - -C $RPM_BUILD_ROOT%{_datadir}/ray
tar cf - -C bin/bin . | tar xf - -C $RPM_BUILD_ROOT%{_bindir}

# remove links to libtiff manuals
cd doc/man
rm -f man1/{fax2ps,*2tiff,pal2rgb,rgb2ycbcr,thumbnail,tiff*}.1
rm -f man3/{TIFF*,libtiff*}.3

for i in 1 3 5; do
	install man$i/*.$i $RPM_BUILD_ROOT%{_mandir}/man$i
done

cd ../..

find $RPM_BUILD_ROOT%{_libdir} doc -name CVS |xargs rm -rf
install %{SOURCE1} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/ray
%{_mandir}/man?/*
%doc doc/ps doc/notes/* doc/*.1* README* license.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Radiance.spec,v $
Revision 1.17  2004/06/14 12:18:55  undefine
- move license do CVS

Revision 1.16  2004/06/14 12:17:34  undefine
- fix md5 license file...

Revision 1.15  2004/06/14 12:16:10  undefine
- change license type

Revision 1.14  2004/06/14 12:14:14  undefine
- move datafiles do _datadir, they are architecture independent

Revision 1.13  2004/06/14 11:46:33  undefine
- simplify ;)

Revision 1.12  2004/06/14 00:07:10  undefine
- update to 3R5,
- remove unneeded patches
- apply build methode from gentoo (stupid but works without change all
  Rmakefiles how in previous versions)
- it's distributable now...

Revision 1.11  2003/08/18 08:07:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.8  2002/08/21 21:46:20  qboosh
- fixed PLD patch (don't try to install the same binaries twice)
- updated rview-conflict patch
- added shared-libtiff patch, BR: libtiff-devel, removed libtiff manuals
- Epoch 1 (for rpm 3R4 < 3r1p8)

Revision 1.7  2002/07/16 17:16:46  undefine
- buildrequires tk(wish), nosource 1 (i thing that patch has non-free license too)

Revision 1.6  2002/07/06 23:20:14  undefine
- upgrade to 3R4

Revision 1.5  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/08/11 13:01:34  kloczek
- cosmetics.

Revision 1.2  2001/06/22 16:34:58  qboosh
- cleanups
- it's non-distributable! :( - fixed License, added NoSource: 0
- changed executable rview -> radview (conflict with vi(m))

Revision 1.1  2001/06/18 13:36:07  undefine
- inititial version
